Index: /anuga_work/development/pipeflow/sww_domain.py
===================================================================
--- /anuga_work/development/pipeflow/sww_domain.py	(revision 7822)
+++ /anuga_work/development/pipeflow/sww_domain.py	(revision 7823)
@@ -50,5 +50,5 @@
 
 #Shallow water domain
-class Domain(Generic_Domain):
+class Domain(Generic_domain):
 
     def __init__(self, coordinates, boundary = None, tagged_elements = None):
@@ -57,5 +57,5 @@
         evolved_quantities   = ['stage', 'xmomentum', 'elevation', 'height', 'velocity']
         other_quantities     = ['friction']
-        Generic_Domain.__init__(self,
+        Generic_domain.__init__(self,
                                 coordinates          = coordinates,
                                 boundary             = boundary,
@@ -143,5 +143,5 @@
 
 
-        timestep = numpy.float(sys.maxint)
+        timestep = float(sys.maxint)
 
         stage    = self.quantities['stage']
@@ -152,7 +152,11 @@
 
 
-        from sww_comp_flux_ext import compute_fluxes_ext
-
-        self.flux_timestep = compute_fluxes_ext(timestep,self,stage,xmom,bed,height,velocity)
+        from sww_comp_flux_ext import compute_fluxes_ext_short
+
+        #self.flux_timestep = compute_fluxes_ext(timestep,self,stage,xmom,bed,height,velocity)
+
+    
+ 	self.flux_timestep = compute_fluxes_ext_short(timestep,self,stage,xmom,bed)
+
 
 
@@ -168,5 +172,5 @@
 
         #Call basic machinery from parent class
-        for t in Generic_Domain.evolve(self, yieldstep, finaltime,duration,
+        for t in Generic_domain.evolve(self, yieldstep, finaltime,duration,
                                        skip_initial_step):
 
@@ -266,5 +270,5 @@
 ##	else:
 
-    u_C[:]  = uh_C/(h_C + h0/h_C)
+    u_C[:,]  = uh_C/(h_C + h0/h_C)
 	
     for name in [ 'velocity', 'stage' ]:
@@ -286,5 +290,5 @@
     xmom_V  = domain.quantities['xmomentum'].vertex_values
 
-    h_V[:]    = stage_V - bed_V
+    h_V[:,:]    = stage_V - bed_V
     for i in range(len(h_C)):
         for j in range(2):
@@ -297,5 +301,5 @@
                 stage_V[i,(j+1)%2] = stage_V[i,(j+1)%2] + dh
                 
-    xmom_V[:] = u_V * h_V
+    xmom_V[:,:] = u_V * h_V
     
     return
@@ -314,6 +318,6 @@
 
     #Shortcuts
-    wc = domain.quantities['stage'].centroid_values
-    zc = domain.quantities['elevation'].centroid_values
+    wc    = domain.quantities['stage'].centroid_values
+    zc    = domain.quantities['elevation'].centroid_values
     xmomc = domain.quantities['xmomentum'].centroid_values
     hc = wc - zc  #Water depths at centroids
Index: /anuga_work/development/pipeflow/sww_python.py
===================================================================
--- /anuga_work/development/pipeflow/sww_python.py	(revision 7822)
+++ /anuga_work/development/pipeflow/sww_python.py	(revision 7823)
@@ -58,5 +58,5 @@
     for k in range(N):
 
-        flux[:] = 0.  #Reset work numpy.array
+        flux[:,] = 0.  #Reset work numpy.array
         #for i in range(3):
         for i in range(2):
Index: /anuga_work/development/pipeflow/test_quantity.py
===================================================================
--- /anuga_work/development/pipeflow/test_quantity.py	(revision 7822)
+++ /anuga_work/development/pipeflow/test_quantity.py	(revision 7823)
@@ -1,2 +1,3 @@
+import quantity
 #!/usr/bin/env python
 
@@ -5,18 +6,36 @@
 
 
-from shallow_water_domain import *
-from shallow_water_domain import flux_function as domain_flux_function
-
-
-
+from generic_domain import Generic_domain as Domain
+#from shallow_water_domain import flux_function as domain_flux_function
+
+from quantity import *
+
+
+
+from numpy import allclose, array, ones, zeros
 import numpy
 
 
-class Test_Shallow_Water(unittest.TestCase):
+class Test_Quantity(unittest.TestCase):
     def setUp(self):
-        self.points = [0.0, 1.0, 2.0, 3.0]
-        self.vertex_values = [[1.0,2.0],[4.0,5.0],[-1.0,2.0]]
-        self.points2 = [0.0, 1.0, 2.0, 3.0, 4.0, 5.0, 6.0, 7.0, 8.0, 9.0, 10.0]
-        
+        self.points3        = [0.0, 1.0, 2.0, 3.0]
+        self.vertex_values3 = [[1.0,2.0],[4.0,5.0],[-1.0,2.0]]
+        self.domain3        = Domain(self.points3)
+
+
+        
+        self.points4          = [0.0, 1.0, 2.5, 3.0, 5.0]
+        self.vertex_values4   = [[1.0,2.0],[4.0,5.0],[-1.0,2.0],[3.0,6.0]]
+        self.centroid_values4 = [1.5, 4.5, 0.5, 4.5]
+        self.boundary4        = {(0, 0): 'left', (3, 1): 'right'}
+        self.domain4          = Domain(self.points4,self.boundary4)
+
+        self.points10 = [0.0, 1.0, 2.0, 3.0, 4.0, 5.0, 6.0, 7.0, 8.0, 9.0, 10.0]
+        self.domain10 = Domain(self.points10)
+
+        self.points6 = [0.0, 1.0, 2.0, 3.0, 4.0, 5.0, 6.0]
+        self.domain6 = Domain(self.points6)
+
+
     def tearDown(self):
         pass
